#!/bin/bash
#####################################################################################################
# IBM Confidential
# Surveillance Insight for Financial Services: Install
# Copyright IBM Corp. 2016, 2017
# The source code for this program is not published or otherwise divested of its trade secrets,
# irrespective of what has been deposited with the U.S. Copyright Office.
#####################################################################################################
dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
source /opt/ibm/sifs/solr-properties.sh

cd /opt/solr
bin/solr stop -p $solrPort
bin/solr start -p $solrPort -force -Dcom.ibm.jsse2.overrideDefaultTLS=true -Dsolr.directoryFactory=HdfsDirectoryFactory -Dsolr.lock.type=hdfs
if [ $? -eq 0 ]
then
  echo "Solr Services Started Successfully"
else
  echo "Solr Services Failed to Start" >&2
  exit 1
fi

cd /opt/solr
bin/solr create -c sifs -force
if [ $? -eq 0 ]
then
  echo "Successfully created sifs core"
else
  echo "Failed to create sifs core" >&2
  exit 1
fi

cd /opt/solr
bin/solr create -c complaints -force
if [ $? -eq 0 ]
then
  echo "Successfully created complaints core"
else
  echo "Failed to create complaints core" >&2
fi

# Restarting Solr Services
/opt/ibm/sifs/restart.sh

sleep 15
